<template>
  <q-layout>
    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script>
export default {
  name: "AuthLayout",

  data() {
    return {};
  },

  beforeMount() {
    // this.$store.dispatch("adminData/loadCategories");
    // this.$store.dispatch("adminData/loadSizes");
    // this.$store.dispatch("adminData/loadProducts");
    // this.$store.dispatch("adminData/loadVouchers");
    this.$store.dispatch("adminData/loadAdminPreferences");
    // this.$store.dispatch("adminData/loadAllUsersProducts");
  },
};
</script>
